WDCP安装多PHP版本出错解决办法

更新时间:2017-10-23 点击量:835

自v3.2开始,wdcp支持多PHP版本共存共用和切换,可根据需求灵活选择和使用


安装方法如下:

wget http://down.wdlinux.cn/in/phps.sh

sh phps.sh

(共支持7个版本的PHP,如5.2.17/5.3.29/5.4.45/5.5.38/5.6.30/7.0.18/7.1.4)


默认安装使用版本,可以针对或选择性安装某个版本,如

sh phps.sh 7.1.4

即可安装7.1.4


多版本PHP的手动启动|停止|重起

如:5.5

/www/wdlinux/phps/55/bin/php-fpm start

/www/wdlinux/phps/55/bin/php-fpm stop

/www/wdlinux/phps/55/bin/php-fpm restart

如是其它版本,把55替换为相应版本即可


如无特别求,可不必全部安装或启动,因为启动多一个,就会占资源多一份


安装后会提示错误信息。如下

QQ截图20170517171600.jpg

安装php提示以上信息,官方解决方案:

 

yum install -y icu libicu libicu-devel

 

再出错:

Loaded plugins: fastestmirror 
Setting up Install Process 
Loading mirror speeds from cached hostfile 
Could not retrieve mirrorlist http://apt.sw.be/redhat/el6/en/mirrors-rpmforge error was 
14: PYCURL ERROR 6 - "Couldn't resolve host 'apt.sw.be'" 
* base: mirrors.aliyun.com 
* epel: mirrors.aliyun.com 
* extras: mirrors.aliyun.com 
* updates: mirrors.aliyun.com 
http://apt.sw.be/redhat/el6/en/x86_64/rpmforge/repodata/repomd.xml: [Errno 14] PYCURL ERROR 6 - "Couldn't resolve host 'apt.sw.be'" 
Trying other mirror. 
Error: Cannot retrieve repository metadata (repomd.xml) for repository: rpmforge. Please verify its path and try again


就是源不可用,修改dns无效,只能更换源了。
解决方案:
 
修改/etc/yum.repos.d/rpmforge.repo
  
如图,修改
 
mirrorlist = http://apt.sw.be/redhat/el6/en/mirrors-rpmforge
 
mirrorlist = http://mirrorlist.repoforge.org/el6/mirrors-rpmforge
 

再继续安装php版本即可。我这里最后安装的是php5.6.30


sh phps.sh 5.6.30


最后安装完成如下图:


blob.png


支付宝扫码打赏 微信打赏

如果文章对您有帮助,就打赏一个吧

在线客服

客户服务

热线电话:

0755-36656507 15889489919 服务时间:

周一到周六:9:00-18:00

在线QQ客服

在线微信客服

关于我们 常见问题

支付方式 加盟合作

提交需求
优惠红包 购物车0 反馈留言 返回顶部